<template>
  <div>
    <div
      class="flex flex-row justify-center items-center py-2 px-4 bg-[color:var(--background1)] text-base font-bold"
    >
      {{ $t("promotion") }}
    </div>
    <div class="overflow-auto pb-[3rem]">
      <promotion-m-promotion-component />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "~~/store";

export default defineComponent({
  name: "Promotion",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    return {
      themeProperties,
    };
  },
});
</script>
